# frozen_string_literal: true

module Hyrax
  module Workflow
    module PendingReview
      class CrcManagerNotification < AbstractNotification
        private

        def subject
          I18n.t('hyrax.notifications.workflow.pending_review.subject')
        end

        def message
          I18n.t('hyrax.notifications.workflow.pending_review.message', title: title,
                                                                                    link: (link_to work_id, document_path),
                                                                                    user: user.user_key, comment: comment)
        end

        def users_to_notify
          collection = @entity.proxy_for.parent_collections.first

          ::User.includes(:roles).where(roles: { name: "#{collection.collection_type.title.parameterize(separator: '_')}_manager", is_crc_manager: true }).to_a
        end
      end
    end
  end
end
