module Hyrax
  module Workflow
    ##
    # This is a built in function for workflow, so that a workflow action can be created that
    #  Transfer Ownership for dataset
    module TransferOwnership
      def self.call(target:, **)
        user_email = ENV.fetch('SYSTEM_PUBLICATION_MANAGER', 'publication_manager@hyrax')
        user = ::User.find_by(email: user_email)
        Hyrax::ChangeDepositorService.call(target, user, false) if user.present?
      end
    end
  end
end
