# frozen_string_literal: true

Bulkrax.setup do |config|
  # Add local parsers
  config.parsers += [
    { name: 'CRC folder parser - Build csv from directory data', class_name: 'Bulkrax::CrcFolderParser', partial: 'crc_folder_fields' },
  ]

  config.default_work_type = 'CrcDataset'

  config.field_mappings = {
    "Bulkrax::CrcFolderParser" => {
      "date_created" => { from: ["date"] },
      "description" => { from: ["description"] },
      "identifier" => { from: ["identifier"] },
      "language" => { from: ["language"], parsed: true },
      "publisher" => { from: ["publisher"] },
      "rights_statement" => { from: ["rights"] },
      "source" => { from: ["source"], source_identifier: true },
      "subject" => { from: ["subject"], parsed: true },
      "title" => { from: ["title"] },
      "resource_type" => { from: ["type"], parsed: true },
      "remote_files" => { from: ["thumbnail_url"], parsed: true },
      "abstract" => { from: ["abstract"] },
      "keyword" => { from: ["keyword"] },
      "crc_resource_type" => { from: ["crc resource type"] },
      "crc_work_type" => { from: ["crc work type"] },
      "folder_name" => { from: ["folder_name"] },
      "experiment_description" => { from: ["experiment_description"] },
      "for_complex_identifier" => { from: ["for_complex_identifier"] },
      "for_complex_type" => { from: ["for_complex_type"] },
      'parents' => { from: ['parents'], related_parents_field_mapping: true },
      'children' => { from: ['children'], related_children_field_mapping: true }
    }
  }
end
