require 'rails_helper'

RSpec.describe ComplexSession do

  it 'creates a complex subject with its attributes' do
    crc_dataset = create(:crc_dataset, :open, :with_folder_name, :with_experiment_description, :with_crc_resource_type,
                          :with_coverage, :with_approval_number, :with_extra_information )

    
    complex_subject = create(:complex_subject, :subject_title, :subject_species, :subject_type, parent_source_identifier: crc_dataset.source.first)

    complex_session = complex_subject.complex_sessions.create(session_title: 'Demo session title')

    expect(complex_session.complex_subject.subject_title).to eq(complex_subject.subject_title)
    expect(complex_session.session_title).to eq('Demo session title')
  end
end